using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.Contracts
{
	[Table("key_point")]
	public class KeyPoint
	{
		[Key]
		public Guid Id { get; set; }

		[StringLength(255)]
		public string Key { get; set; } = string.Empty;

		

		[Required]
		public Guid LessonID { get; set; }
		[ForeignKey(nameof(LessonID))]
		public virtual Lesson Lesson { get; set; }


		public virtual ICollection<Question> Questions { get; set; }

		public KeyPoint()
		{
			Id = Guid.NewGuid();
			Questions = new HashSet<Question>();
		}
	}
}
